import { FileStore } from '@tus/file-store'
import { Server } from '@tus/server'

import { createServer } from '@redwoodjs/api-server'

import { logger } from 'src/lib/logger'
;(async () => {
  const server = await createServer({
    logger,
  })

  const tusServer = new Server({
    path: '/files',
    datastore: new FileStore({ directory: './files' }),
  })

  server.addContentTypeParser(
    'application/offset+octet-stream',
    (_request, _payload, done) => done(null)
  )

  server.all('/files', (req, res) => {
    tusServer.handle(req.raw, res.raw)
    return res
  })

  server.all('/files/*', (req, res) => {
    tusServer.handle(req.raw, res.raw)
    return res
  })

  await server.start()
})()
