import { useState } from 'react'

import Compressor from '@uppy/compressor'
import Uppy from '@uppy/core'
import ImageEditor from '@uppy/image-editor'
import { Dashboard } from '@uppy/react'
import Tus from '@uppy/tus'

import '@uppy/image-editor/dist/style.min.css'
import '@uppy/core/dist/style.min.css'
import '@uppy/dashboard/dist/style.min.css'

const Uploader = () => {
  const [uppy] = useState(() =>
    new Uppy({
      restrictions: {
        allowedFileTypes: ['image/*'],
        maxNumberOfFiles: 10,
      },
    })
      .use(Tus, { endpoint: 'http://localhost:8911/files' }) // TODO: check if env is production and change endpoint accordingly
      .use(ImageEditor)
      .use(Compressor)
  )

  return <Dashboard uppy={uppy} proudlyDisplayPoweredByUppy={false} />
}

export default Uploader
